Mail archive
alpine-aports

[alpine-aports] [PATCH v2] testing/libecap: new aport

From: Roger Newman <roger.newman_at_riseup.net>
Date: Sat, 4 Mar 2017 17:21:27 +0100

http://www.e-cap.org/
API for implementing ICAP content analysis and adaptation
---
 testing/libecap/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/libecap/APKBUILD
diff --git a/testing/libecap/APKBUILD b/testing/libecap/APKBUILD
new file mode 100644
index 0000000000..dd9ec71816
--- /dev/null
+++ b/testing/libecap/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Roger Newman <roger.newman_at_riseup.net>
+# Maintainer: Roger Newman <roger.newman_at_riseup.net>
+pkgname=libecap
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="API for implementing ICAP content analysis and adaptation"
+url="http://www.e-cap.org/"
+arch="all"
+license="BSD"
+depends=""
+subpackages="$pkgname-dev"
+source="http://www.measurement-factory.com/tmp/ecap/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	default_prepare || return 1
+	update_config_sub || return 1
+}
+	
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--libdir=/lib \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make install-strip \
+		libdir=/usr/lib \
+		pkgconfigdir="/usr/lib/pkgconfig" \
+		DESTDIR="$pkgdir" || return 1
+}
+
+sha512sums="7d34b5a9b6843d6b09efc4fa390c7a2d3dda7a2ae5e82d5021295e436ca9afb7c1f70bc6f25a68e4c430fb6e33ee9f602655c9c830fccd46a8f554774813b452  libecap-1.0.0.tar.gz"
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Mar 04 2017 - 17:21:27 GMT